Xerces-J API: Class DurationDatatypeValidator

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.validators.datatype
Class DurationDatatypeValidator

    java.lang.Object
      |
      +--org.apache.xerces.validators.datatype.AbstractDatatypeValidator
            |
            +--org.apache.xerces.validators.datatype.AbstractNumericFacetValidator
                  |
                  +--org.apache.xerces.validators.datatype.DateTimeValidator
                        |
                        +--org.apache.xerces.validators.datatype.DurationDatatypeValidator

public class DurationDatatypeValidator
extends DateTimeValidator

Validator for datatype (W3C Schema Datatypes)

Version:
  $Id: DurationDatatypeValidator.java,v 1.6 2001/05/31 21:51:46 elena Exp $
Author:
  Elena Litani

Fields inherited from class org.apache.xerces.validators.datatype.DateTimeValidator
`CY, D, DAY, EQUAL, fBuffer, fDateValue, fEnd, fEnumSize, fStart, GREATER_THAN, h, hh, LESS_THAN, m, M, message, mm, MONTH, MONTH_SIZE, ms, s, timeZone, TOTAL_SIZE, utc, YEAR`

Fields inherited from class org.apache.xerces.validators.datatype.AbstractNumericFacetValidator
`fEnumeration, fMaxExclusive, fMaxInclusive, fMinExclusive, fMinInclusive, INDETERMINATE`

Fields inherited from class org.apache.xerces.validators.datatype.AbstractDatatypeValidator
`fBaseValidator, fFacetsDefined, fFlags, fLocale, fMessageProvider, fPattern, fRegex`

Constructor Summary
`DurationDatatypeValidator()`
`DurationDatatypeValidator(DatatypeValidator base, java.util.Hashtable facets, boolean derivedByList)`

Method Summary
`protected short` | `compareDates(int[] date1, int[] date2, boolean strict)` Compares 2 given durations.
`protected java.lang.String` | `dateToString(int[] date)`
`protected int[]` | `parse(java.lang.String str, int[] date)` Parses, validates and computes normalized version of duration object

Methods inherited from class org.apache.xerces.validators.datatype.DateTimeValidator
`assignAdditionalFacets, checkContent, clone, compare, compareOrder, compareValues, findUTCSign, fQuotient, fQuotient, getDate, getMaxExclusive, getMaxInclusive, getMinExclusive, getMinInclusive, getTime, getTimeZone, getYearMonth, indexOf, initializeValues, maxDayInMonthFor, mod, modulo, normalize, parseInt, parseIntYear, parseTimeZone, reportError, resetBuffer, resetDateObj, setEnumeration, setMaxExclusive, setMaxInclusive, setMinExclusive, setMinInclusive, validate, validateDate, validateDateTime`

Methods inherited from class org.apache.xerces.validators.datatype.AbstractNumericFacetValidator
`checkBaseFacetConstraints, checkFacetConstraints, inheritAdditionalFacets`

Methods inherited from class org.apache.xerces.validators.datatype.AbstractDatatypeValidator
`getBaseValidator, getErrorString, getWSFacet, setLocale`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DurationDatatypeValidator

    public DurationDatatypeValidator()
                              throws InvalidDatatypeFacetException

### DurationDatatypeValidator

    public DurationDatatypeValidator(DatatypeValidator base,
                                     java.util.Hashtable facets,
                                     boolean derivedByList)
                              throws InvalidDatatypeFacetException

Method Detail

### parse

    protected int[] parse(java.lang.String str,
                          int[] date)
                   throws SchemaDateTimeException

  Parses, validates and computes normalized version of duration object
  Overrides:
    parse in class DateTimeValidator
  Parameters:
    `str` - The lexical representation of duration object PnYn MnDTnH nMnS
    `date` - uninitialized date object
  Returns:
    normalized date representation
  Throws:
    java.lang.Exception - Invalid lexical representation

### compareDates

    protected short compareDates(int[] date1,
                                 int[] date2,
                                 boolean strict)

  Compares 2 given durations. (refer to W3C Schema Datatypes "3.2.6 duration")
  Overrides:
    compareDates in class DateTimeValidator
  Parameters:
    `date1` - Unnormalized duration
    `date2` - Unnormalized duration
    `strict` - (min/max)Exclusive strict == true ( LESS_THAN ) or ( GREATER_THAN ) (min/max)Inclusive strict == false (LESS_EQUAL) or (GREATER_EQUAL)
  Returns:

### dateToString

    protected java.lang.String dateToString(int[] date)

  Overrides:
    dateToString in class DateTimeValidator

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2001 Apache XML Project. All Rights Reserved.